Bug 130205 - via-velocity driver crashes kernel
via-velocity driver crashes kernel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 20:28 EDT by Steve Romero
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:56:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Romero 2004-08-17 20:28:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Shutting down system with any Kernel later than 2.6.6-1.435 which has
the via_velocity ethernet driver enabled will crash the system in a
very ugly manner. Unable to get any output from the crash as nothing
shows up in the log files.  However this is what I was able to copy
from the screen:


Code: 48 8B 80 78 01 00 00 48 85 C0 74 1C 48 8B 40 10 48 85 C0 74

RIP <FFFFFFFFA011A19A> {:via_velocity: velocity_netdev_event+23}

RSP <0000010009155B10>

ER2: 0000000000B44A00

This occurs with the following kernels:

2.6.7-1.494.2.2
2.6.7-1.517
2.6.8-1.520

This would appear to be related to bug 129343.

System configuration:

Abit KV8 Pro
2 X 512 PC 3200
2 X Segate 160 GB SATA Drives
Gforce Ti 4600
Lite-On DVDRW
3Com 3C905B


Version-Release number of selected component (if applicable):
Kernel 2.6.7+

How reproducible:
Always

Steps to Reproduce:
1.Install any of the listed kernels
2.Shut system down
3.Kernel pukes!
    

Expected Results:  If there was a problem the system should have
gracefully died!  And should have left something behind in the log files.



Additional info:
Comment 1 Alan Cox 2004-08-18 07:48:52 EDT
Known, fixes have been in the master version for a while but didnt
make 2.6.8 
Comment 2 Steve Romero 2004-08-22 16:49:06 EDT
Just an update I have tried the following kernels with the same
results, e.g. kernel oops:

2.6.8-1.521
2.6.8-1.525
2.6.8-1.526

It would seem as Alan Cox commented that fixes aren't going to make it
to any version of 2.6.8.

Steve Romero
Comment 3 Steve Romero 2004-08-23 12:55:48 EDT
Real Name - Steve Romero
Comment 4 Steve Romero 2004-08-28 18:33:54 EDT
An update to this problem:

It would seem that test kernel kernel-2.6.8-1.532.x86_64.rpm does
solve the oops problem.

However it would also seem that something is not quite right.  While
this kernel is running my network switch (Linksys Gigabit 8 port) is
in constant activity, and GKrellm also indicates this.  But I can't
ping any other workstation on my network nor can I ping my gateway
(Zyxel P-641), nor can I telnet into the gateway?  Further running
ifconfig indicates large numbers (hundreds of them!) of Tx and Rx
errors, and I might add this is right after a reboot so the only
activity should have been while (trying?) connecting to the network
time server and checking yum for updates?

I'm not sure if there is anything else at this point that I can
provide but if there is please feel free to contact me and I will do
my best to accomodate.

Steve Romero
Comment 5 Steve Romero 2004-10-16 16:28:40 EDT
It would seem that kernel 2.6.8-1.598 has corrected the problem.  I've
been using it now for several days and it seems stable.  A big thanks
to all involved.

Steve Romero
Comment 6 Anssi Johansson 2004-10-22 18:30:29 EDT
Hi, I went through the exact same steps as you did on my Abit AV8. The
current kernels do indeed work nicely with this NIC, so I'd suggest
closing this bug. Thanks from me to the developers as well.
Comment 7 Dave Jones 2005-04-16 01:56:16 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.